Subject: bug#16966: [PATCH] grep: optimization with the superset of DFA

From: Paolo Bonzini <[email-masked]>
Date: Tue, 01 Apr 2014 19:48:05 +0200

Il 01/04/2014 17:49, Norihiro Tanaka ha scritto:
>
>> > I'm worried that the "STAR" method will match basically everything.
> If no normal char and/or CSET is included in the pattern, the superset
> won't be used.
>

Yeah, but my problem is that a.b will look at a very long line if it is 
translated to a[\x0-\xff]*b.  Better translate it to a[\x0-\xff]{1,2}b 
or something similar.

Paolo